> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Lyrics

> Generate lyrics based on prompt



## OpenAPI

````yaml openapi/en/flowmuisc.json POST /flowmusic/v1/lyrics-create
openapi: 3.1.0
info:
  title: Flowmusic API DOCS
  version: 1.0.0
  description: >-
    TTAPI Flowmusic API endpoint service, currently integrating the most
    advanced music large models on the market.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /flowmusic/v1/lyrics-create:
    post:
      description: Generate lyrics based on prompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LyricsRequest'
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - 'PENDING_QUEUE '
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Response message
                  data:
                    type: object
                    description: Task result
                    properties:
                      jobId:
                        type: string
                        description: Task ID
                      title:
                        type: string
                        description: Title
                      lyrics:
                        type: string
                        description: Lyrics text
                example:
                  status: SUCCESS
                  message: success
                  data:
                    jobId: ffd6870b-9a83-47e6-9d57-601efced86b5
                    title: Work It Out
                    lyrics: >-
                      [Verse 1]

                      Beat beats beneath my breath

                      Sweat starts to show itself

                      Can't catch a quiet breath

                      Feel the fire fight itself


                      [Pre-Chorus]

                      Work won't wait, won't waste away

                      Push the pace, I play today


                      [Chorus]

                      Move my muscles, make it better

                      Feel the freedom in my fever

                      Dance the duty, dance forever

                      Beat the burden, be believer

                      Work it out, work it out

                      Move it now, move it now


                      [Verse 2 - Barely introducing the topic]

                      Something's spinning in my soul

                      Pressure pressing, taking toll

                      Need to find another role

                      Break the weight and make me whole


                      [Pre-Chorus]

                      Work won't wait, won't waste away

                      Push the pace, I play today


                      [Chorus]

                      Move my muscles, make it better

                      Feel the freedom in my fever

                      Dance the duty, dance forever

                      Beat the burden, be believer

                      Work it out, work it out

                      Move it now, move it now


                      [Rap]

                      Stress is stacking, spine is aching, spirit's shaking
                      daily

                      But I battle with my body when the bass begins to play me

                      Feel the friction fade away when feet begin to fly free

                      Music makes the madness melt, my mind begins to find me

                      Labor's loading on my lungs but love is lifting lightly

                      Beat becomes my breathing, brings me back to being
                      brightly

                      Sweat becomes my symphony, sync becomes my saving

                      Dancing through the difficulty, doubt becomes my craving

                      Move until the morning makes me feel like I am flying

                      Work without the worry, without walls that keep me crying

                      Freedom in the frequency, feeling what I'm fighting

                      Body beats the burden when the bass begins its biting


                      [Bridge]

                      Stop the struggle, start to shake

                      Feel the weight begin to break

                      Motion makes the moment take

                      All the ache away


                      [Final Chorus]

                      Move my muscles, make it better

                      Feel the freedom in my fever

                      Dance the duty, dance forever

                      Beat the burden, be believer

                      Work it out, work it out

                      Move it now, move it now

                      Work it out, work it out

                      Move it now, move it now


                      [Outro]

                      Beat beats beneath my breath

                      Dance the weight right off my chest
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    LyricsRequest:
      type: object
      properties:
        prompt:
          type: string
          description: Prompt, <= 3000 characters
        hook_url:
          type: string
          description: >-
            Business callback URL after task completion; no callback push when
            empty
      required:
        - prompt
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Please visit <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI
        Dashboard</a> to obtain your API key.

````